Bug 665857 - [abrt] exaile-0.3.2.0-2.fc14: __init__.py:136:get_selected_podcast:TypeError: iter must be a GtkTreeIter
Summary: [abrt] exaile-0.3.2.0-2.fc14: __init__.py:136:get_selected_podcast:TypeError:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eb8167c7
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-27 13:45 UTC by Fabio Renault
Modified: 2011-03-28 19:34 UTC (History)
1 user (show)

Fixed In Version: exaile-0.3.2.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-28 19:34:01 UTC


Attachments (Terms of Use)
File: backtrace (675 bytes, text/plain)
2010-12-27 13:45 UTC, Fabio Renault
no flags Details

Description Fabio Renault 2010-12-27 13:45:54 UTC
abrt version: 1.1.14
architecture: i686
cmdline: python /usr/lib/python2.7/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.7/site-packages/exaile/exaile.py
kernel: 2.6.35.10-72.fc14.i686
package: exaile-0.3.2.0-2.fc14
reason: __init__.py:136:get_selected_podcast:TypeError: iter must be a GtkTreeIter
release: Fedora release 14 (Laughlin)
time: 1293457240
uid: 500

backtrace
-----
__init__.py:136:get_selected_podcast:TypeError: iter must be a GtkTreeIter

Traceback (most recent call last):
  File "/usr/share/exaile/plugins/podcasts/__init__.py", line 104, in _on_refresh
    (url, title) = self.get_selected_podcast()
  File "/usr/share/exaile/plugins/podcasts/__init__.py", line 136, in get_selected_podcast
    url = self.model.get_value(iter, 1)
TypeError: iter must be a GtkTreeIter

Local variables in innermost frame:
model: <gtk.ListStore object at 0xb1b4dec (GtkListStore at 0xb33f390)>
selection: <gtk.TreeSelection object at 0xb25fc84 (GtkTreeSelection at 0xaa81280)>
self: <PodcastPanel object at 0xb27a554 (GObject at 0xaa82a10)>
iter: None

How to reproduce
-----
1. Opened exaile
2. Added a podcast(already downloaded the podcast files using rhythmbox)

Comment 1 Fabio Renault 2010-12-27 13:45:57 UTC
Created attachment 470850 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-04 15:41:24 UTC
Package exaile-0.3.2.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-03-05 02:46:27 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14

Comment 4 Fedora Update System 2011-03-28 19:31:24 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.